/**
 * An element which displays custom git-specific setup information for its build triggers.
 */
angular.module('quay').directive('triggerSetupCustom', function() {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/trigger-setup-custom.html',
    replace: false,
    transclude: false,
    restrict: 'C',
    scope: {
      'repository': '=repository',
      'trigger': '=trigger',

      'nextStepCounter': '=nextStepCounter',
      'currentStepValid': '=currentStepValid',

      'analyze': '&analyze'
    },
    controller: function($scope, $element, ApiService) {
      $scope.analyzeCounter = 0;
      $scope.setupReady = false,

      $scope.state = {
        'gitURL': null,
        'subdir': null,
      };

      $scope.stepsCompleted = function() {
        $scope.analyze({'isValid': $scope.state.gitURL != null && $scope.subdir != null});
      };

      $scope.nopLoad = function(callback) {
        callback();
      };
    }
  };

  return directiveDefinitionObject;
});
